× Warning! This forum is in archival status. New contributions may not work.
problem with new booktype installation
  • I have a new installation of booktype 2.3 installed using packages on debian jessie.

    I get the following error in the logs:

    There is no Role name for role_key DEFAULT_ROLE_registered_users

    Thanks for your help.

    best,

    Ben
  • 2 Comments sorted by
  • So I installed this via the automated install instructions for 2.3, but it looks as if the installed system is booktype 2.0., which is what is in the apt repository. Not sure why this is?
  • Some more specific details.

    I followed the instructions here:


    This seems to result in the installation of Booktype 2.0

    ben@leduc:~$ dpkg -l booktype
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
    |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
    ||/ Name           Version      Architecture Description
    +++-==============-============-============-=================================
    ii  booktype       2.0.0~jessie all          Collaborative writing and publish

    I now have this working, despite the log errors in my original comment, but I'd much rather evaluate a more recent version of booktype. Are there debian packages for this?